package de.ozgcloud.xta.client.factory;

import static de.ozgcloud.xta.client.factory.MessageMetaDataTestFactory.*;

import java.util.List;

import de.ozgcloud.xta.client.gen.v3.eu.osci.ws.x2008.x05.transport.MsgStatusListType;
import de.ozgcloud.xta.client.gen.v3.eu.osci.ws.x2014.x10.transport.MessageMetaData;

public class MsgStatusListTypeTestFactory {

	public static List<MessageMetaData> MESSAGE_META_DATA_LIST = List.of(
			MessageMetaDataTestFactory.create(),
			MessageMetaDataTestFactory.create(MESSAGE_ID2, MESSAGE_TYPE_CODE2, MESSAGE_SIZE, true),
			MessageMetaDataTestFactory.create(MESSAGE_ID3, MESSAGE_TYPE_CODE3, MESSAGE_SIZE, false)
	);

	public static MsgStatusListType create() {
		var msgStatusListType = new MsgStatusListType();
		msgStatusListType.getMessageMetaData().addAll(MESSAGE_META_DATA_LIST);
		return msgStatusListType;
	}
}
